Skip to content

Get Address Requirements

Request

Returns the list of fields required to create a valid address. Use this as a starting point to discover required fields.

The response contains 4 required top-level fields:

  • country (select field with list of values)
  • city (text field)
  • postCode (text field)
  • firstLine (text field)

If a field has refreshRequirementsOnChange: true, call the POST endpoint with that field's value to discover additional required fields.

For a step-by-step walkthrough, see the Address Requirements guide.

Security
UserToken or PersonalToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/2026Q3/address-requirements \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved address requirements.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
typestring

Always "address".

Example:"address"
fieldsArray of objects

List of fields required for the address.

]
Response
[ { "type": "address", "fields": [ {} ] } ]